<?php
/**
 * magazine Theme Customizer
 *
 * @package magazine
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function magazine_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'background_color' )->transport = 'postMessage';
        
//$wp_customize->remove_section("background_image");

// Theme important links started
   class magazine_Important_Links extends WP_Customize_Control {

      public $type = "magazine-important-links";

      public function render_content() {
         //Add Theme instruction
		 echo '<ul><b>
			<li>' . esc_attr__( '* Fully Mobile Responsive', 'magazine-style' ) . '</li>
			<li>' . esc_attr__( '* Dedicated Option Panel', 'magazine-style' ) . '</li>
			<li>' . esc_attr__( '* Customize Theme Color', 'magazine-style' ) . '</li>
			<li>' . esc_attr__( '* WooCommerce & bbPress Support', 'magazine-style' ) . '</li>
			<li>' . esc_attr__( '* SEO Optimized', 'magazine-style' ) . '</li>
			<li>' . esc_attr__( '* Control Individual Meta Option like: Category, date, Author, Tags etc. ', 'magazine-style' ) . '</li>
			<li>' . esc_attr__( '* Full Support', 'magazine-style' ) . '</li>
			<li>' . esc_attr__( '* Google Fonts', 'magazine-style' ) . '</li>
			<li>' . esc_attr__( '* Theme Color Customization', 'magazine-style' ) . '</li>
			<li>' . esc_attr__( '* Custom CSS', 'magazine-style' ) . '</li>
			<li>' . esc_attr__( '* Website Layout', 'magazine-style' ) . '</li>
			<li>' . esc_attr__( '* Select Number of Columns', 'magazine-style' ) . '</li>
			<li>' . esc_attr__( '* Website Width Control', 'magazine-style' ) . '</li>
			</b></ul>
		 ';
         $important_links = array(
            'theme-info' => array(
               'link' => esc_url('http://www.insertcart.com/product/magazine-style-wp-theme/'),
               'text' => __('Magazine Style Pro', 'magazine-style'),
            ),
            'support' => array(
               'link' => esc_url('http://www.insertcart.com/contact-us/'),
               'text' => __('Contact us', 'magazine-style'),
            ),    
			       
         );
         foreach ($important_links as $important_link) {
            echo '<p><a target="_blank" href="' . $important_link['link'] . '" >' . esc_attr($important_link['text']) . ' </a></p>';
         }
               }

   }

   $wp_customize->add_section('magazine_important_links', array(
      'priority' => 1,
      'title' => __('Upgrade to Pro', 'magazine-style'),
   ));

   $wp_customize->add_setting('magazine_important_links', array(
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'magazine_links_sanitize'
   ));

   $wp_customize->add_control(new magazine_Important_Links($wp_customize, 'important_links', array(
      'section' => 'magazine_important_links',
      'settings' => 'magazine_important_links'
   )));

	
  
$wp_customize->add_section( 'magazine_responsive' , 
        array(
				'title'       => __( 'Theme Options & Settings', 'magazine-style' ),
				'priority'    => 30,
				'description'	=> __('Upload Logo and Change Theme Settings Please Go to Theme options.', 'magazine-style'). '<a href="' . esc_url(__(admin_url( 'admin.php?page=options-framework' ).'','magazine-style')) . '" target="_blank">' . esc_attr__( ' Change Theme Options', 'magazine-style' ) . '</a>'
					
		));
/**************************************************
* Theme Option
***************************************************/
$wp_customize->add_section( 'magazinestyle_responsive' , 
        array(
			'title'       => __( 'Theme Options & Settings', 'magazine-style' ),
			'priority'    => 30,
			'description'	=> __('Change Theme Settings from here. For Full control over design you must neet to upgrade to Pro.', 'magazine-style')		
	));
//Label Name
$wp_customize->add_setting('magazinestyle_index_label',
	array(
		'default'			=> __( 'Latest Posts', 'magazine-style' ),
		'type'				=> 'theme_mod',
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
$wp_customize->add_control(new WP_customize_control ($wp_customize,'magazinestyle_index_label',
	array (
		'settings'		=> 'magazinestyle_index_label',
		'section'		=> 'magazinestyle_responsive',
		'type'		=> 'text',    	 
		'label'		=> __( 'Latest Post Bar on Index page', 'magazine-style' )
	)  ));
	
//Home Category
$wp_customize->add_setting('magazinestyle_homecat',	
	array(
		'default'			=> 'enable',
		'type'				=> 'theme_mod',
		'capability'		=> 'edit_theme_options',
		'transport' => 'postMessage',
		'sanitize_callback'	=> 'magazinestyle_sanitize_select'
	));
$wp_customize->add_control('magazinestyle_homecat',
	 array (                             
		'type' => 'radio',
		'label' => __('Post Category Stamp','magazine-style'),
		'description'	=> __('Show or Hide Categories Button from Thumbnail in index and other archive pages','magazine-style'),
		'settings'   => 'magazinestyle_homecat',
		'section' => 'magazinestyle_responsive',
		'choices' => array(
		'enable' => __('Enable','magazine-style'),
		'disable' => __('Disable','magazine-style'),		
	 )
	 ));	
//Author Stamp
$wp_customize->add_setting('magazinestyle_authstamp',	
	array(
		'default'			=> 'enable',
		'type'				=> 'theme_mod',
		'capability'		=> 'edit_theme_options',
		'transport' => 'postMessage',
		'sanitize_callback'	=> 'magazinestyle_sanitize_select'
	));
$wp_customize->add_control('magazinestyle_authstamp',
	 array (                             
		'type' => 'radio',
		'label' => __('Categories & date/author stamp from thumbnail','magazine-style'),
		'description'	=> __('Show or Hide Date & Author Stamp from Thumbnail in index and other archive pages','magazine-style'),
		'settings'   => 'magazinestyle_authstamp',
		'section' => 'magazinestyle_responsive',
		'choices' => array(
		'enable' => __('Enable','magazine-style'),
		'disable' => __('Disable','magazine-style'),		
	 )
	 ));	
//Popular Posts	
$wp_customize->add_setting('magazinestyle_popular_posts',	
	array(
		'default'			=> 'enable',
		'type'				=> 'theme_mod',
		'capability'		=> 'edit_theme_options',
	//	'transport' => 'postMessage',
		'sanitize_callback'	=> 'magazinestyle_sanitize_select'
	));
$wp_customize->add_control('magazinestyle_popular_posts',
	 array (                             
		'type' => 'radio',
		'label' => __('Popular Posts','magazine-style'),
		'description'	=> __('Enable or Disable Popular Post','magazine-style'),
		'settings'   => 'magazinestyle_popular_posts',
		'section' => 'magazinestyle_responsive',
		'choices' => array(
		'enable' => __('Enable','magazine-style'),
		'disable' => __('Disable','magazine-style'),		
	 )
	 ));
//Popular post Label Name
$wp_customize->add_setting('magazinestyle_popular_label',
	array(
		'default'			=> __( 'Popular Posts', 'magazine-style' ),
		'type'				=> 'theme_mod',
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
$wp_customize->add_control(new WP_customize_control ($wp_customize,'magazinestyle_popular_label',
	array (
		'settings'		=> 'magazinestyle_popular_label',
		'section'		=> 'magazinestyle_responsive',
		'type'		=> 'text',    	 
		'description'		=> __( 'Popular Posts Sidebar Label', 'magazine-style' )
	)  ));	 
//Latest Posts	
$wp_customize->add_setting('magazinestyle_latest_posts',	
	array(
		'default'			=> 'enable',
		'type'				=> 'theme_mod',
		'capability'		=> 'edit_theme_options',
	//	'transport' => 'postMessage',
		'sanitize_callback'	=> 'magazinestyle_sanitize_select'
	));
$wp_customize->add_control('magazinestyle_latest_posts',
	 array (                             
		'type' => 'radio',
		'label' => __('Latest Posts','magazine-style'),
		'description'	=> __('Enable or Disable Latest Post. (Numbers of Latest Posts, Posts from any Category and Other Customization - UPGRADE TO PRO ONLY','magazine-style'),
		'settings'   => 'magazinestyle_latest_posts',
		'section' => 'magazinestyle_responsive',
		'choices' => array(
		'enable' => __('Enable','magazine-style'),
		'disable' => __('Disable','magazine-style'),		
	 )
	 ));	 
//Single Post Thumb
$wp_customize->add_setting('magazinestyle_show_featured_image',	
	array(
		'default'			=> 'disable',
		'type'				=> 'theme_mod',
		'capability'		=> 'edit_theme_options',
		'transport' => 'postMessage',
		'sanitize_callback'	=> 'magazinestyle_sanitize_select'
	));
$wp_customize->add_control('magazinestyle_show_featured_image',
	 array (                             
		'type' => 'radio',
		'label' => __('Featured Thumbnail Image on Post','magazine-style'),
		'description'	=> __('Show new style title with featured image on single post','magazine-style'),
		'settings'   => 'magazinestyle_show_featured_image',
		'section' => 'magazinestyle_responsive',
		'choices' => array(
		'enable' => __('Enable','magazine-style'),
		'disable' => __('Disable','magazine-style'),		
	 )
	 ));
//Author Profile
$wp_customize->add_setting('magazinestyle_author',	
	array(
		'default'			=> 'enable',
		'type'				=> 'theme_mod',
		'capability'		=> 'edit_theme_options',
		'transport' => 'postMessage',
		'sanitize_callback'	=> 'magazinestyle_sanitize_select'
	));
$wp_customize->add_control('magazinestyle_author',
	 array (                             
		'type' => 'radio',
		'label' => __('Show Author Profile','magazine-style'),
		'description'	=> __('Author Profile Below the Post and Pages.','magazine-style'),
		'settings'   => 'magazinestyle_author',
		'section' => 'magazinestyle_responsive',
		'choices' => array(
		'enable' => __('Enable','magazine-style'),
		'disable' => __('Disable','magazine-style'),		
	 )
	 ));		 
//Copyright 
$wp_customize->add_setting('magazinestyle_copyright_label',
	array(
		'default'			=> __( 'Copyright © 2020', 'magazine-style' ),
		'type'				=> 'theme_mod',
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
$wp_customize->add_control(new WP_customize_control ($wp_customize,'magazinestyle_copyright_label',
	array (
		'settings'		=> 'magazinestyle_copyright_label',
		'section'		=> 'magazinestyle_responsive',
		'type'		=> 'text',    	 
		'label'		=> __( 'Footer Copyright Text', 'magazine-style' )
	)  ));	 		
         //Show or Hide woo product
         $wp_customize->add_setting('reponsive',
	
		array(
			'default'			=> 'Go To magazine Options',
			'type'				=> 'theme_mod',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'magazine_sanitize_text'
		)
	);
                 $wp_customize->add_control(new WP_customize_control ($wp_customize,'reponsive',
                         array (
                             
                             'settings'		=> 'reponsive',
                             'section'		=> 'magazine_responsive',
                             'type'		=> 'text',    	 
                            'label'		=> __( 'Dashboard > Appearance > magazine options', 'magazine-style' )
			
                             
                         )  ));
}

add_action("customize_register","magazine_customize_register");
/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function magazine_customize_preview_js() {
	wp_enqueue_script( 'magazine_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'magazine_customize_preview_js' );

function magazine_sanitize_checkbox( $checked ) {
	// Boolean check.
	return ( ( isset( $checked ) && true == $checked ) ? true : false );
}
function magazine_sanitize_nohtml( $nohtml ) {
	return wp_filter_nohtml_kses( $nohtml );
}
function magazine_sanitize_select( $input, $setting ) {
	
	// Ensure input is a slug.
	$input = sanitize_key( $input );
	
	// Get list of choices from the control associated with the setting.
	$choices = $setting->manager->get_control( $setting->id )->choices;
	
	// If the input is a valid key, return it; otherwise, return the default.
	return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
}


function magazine_registers() {
    wp_register_script( 'magazine_jquery_ui', '//code.jquery.com/ui/1.10.4/jquery-ui.js', array("jquery"), '20120206', true  );
	wp_enqueue_script( 'magazine_jquery_ui' );
	wp_register_script( 'magazine_customizer_script', get_template_directory_uri() . '/js/magazine_customizer.js', array("jquery","magazine_jquery_ui"), '20120206', true  );
	wp_enqueue_script( 'magazine_customizer_script' );
	
	wp_localize_script( 'magazine_customizer_script', 'magazine-style', array(		
		'pro' => __('Upgrade to Pro','magazine-style'),
		'support' => __('Support','magazine-style')
		
	) );
}
add_action( 'customize_controls_enqueue_scripts', 'magazine_registers' );


function magazine_sanitize_image( $image, $setting ) {
	/*
	 * Array of valid image file types.
	 *
	 * The array includes image mime types that are included in wp_get_mime_types()
	 */
    $mimes = array(
        'jpg|jpeg|jpe' => 'image/jpeg',
        'gif'          => 'image/gif',
        'png'          => 'image/png',
        'bmp'          => 'image/bmp',
        'tif|tiff'     => 'image/tiff',
        'ico'          => 'image/x-icon'
    );
	// Return an array with file extension and mime_type.
    $file = wp_check_filetype( $image, $mimes );
	// If $image has a valid mime_type, return it; otherwise, return the default.
    return ( $file['ext'] ? $image : $setting->default );
}
function magazine_sanitize_css( $css ) {
	return wp_strip_all_tags( $css );
}

function magazine_sanitize_html( $html ) {
	return stripslashes(wp_filter_post_kses( $html ));
        
}

 