<?php
/**
 * Add meta box
 *
 */
function magazinepage_add_meta_boxes( $post ){
	add_meta_box( 'food_meta_box', __( '<span class="dashicons dashicons-layout"></span> Page Layout Select [Pro Only]', 'magazine-style' ), 'magazinepage_build_meta_box', 'page', 'side', 'high' );
}
add_action( 'add_meta_boxes', 'magazinepage_add_meta_boxes' );
/**
 * Build custom field meta box
 *
 * @param post $post The post object
 */
function magazinepage_build_meta_box( $post ){
	// make sure the form request comes from WordPress
	wp_nonce_field( basename( __FILE__ ), 'magazinepagemeta_meta_box_nonce' );
	// retrieve the _food_magazinepagemeta current value
	$current_magazinepagemeta = get_post_meta( $post->ID, '_food_magazinepagemeta', true );

	$upgradetopro = 'Layout Select for current post only - for website layout please choose from theme options <a href="' . esc_url('http://www.insertcart.com/product/magazine-style-wp-theme/','magazine-style') . '" target="_blank">' . esc_attr__( 'Get MagazineStyle Pro', 'magazine-style' ) . '</a>';
	
	?>
	<div class='inside'>

		<h4><?php echo $upgradetopro; ?></h4>
		<p>
			<input type="radio" name="magazinepagemeta" value="rsd" <?php checked( $current_magazinepagemeta, 'rsd' ); ?> /> <?php _e('Right Sidebar - Default','magazine-style'); ?><br />
			<input type="radio" name="magazinepagemeta" value="ls" <?php checked( $current_magazinepagemeta, 'ls' ); ?> /> <?php _e('Left Sidebar','magazine-style'); ?><br/>
			<input type="radio" name="magazinepagemeta" value="lr" <?php checked( $current_magazinepagemeta, 'lr' ); ?> />  <?php _e('Left - Right Sidebars','magazine-style'); ?> <br/>
			<input type="radio" name="magazinepagemeta" value="fc" <?php checked( $current_magazinepagemeta, 'fc' ); ?> /> <?php _e('Full Content - No Sidebar','magazine-style'); ?>
		</p>

		

	</div>
	<?php
}
/**
 * Store custom field meta box data
 *
 * @param int $post_id The post ID.
 * @link https://codex.wordpress.org/Plugin_API/Action_Reference/save_post
 */
function magazinepage_save_meta_box_data( $post_id ){
	// verify meta box nonce
	if ( !isset( $_POST['magazinepagemeta_meta_box_nonce'] ) || !wp_verify_nonce( $_POST['magazinepagemeta_meta_box_nonce'], basename( __FILE__ ) ) ){
		return;
	}
	// return if autosave
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ){
		return;
	}
  // Check the user's permissions.
	if ( ! current_user_can( 'edit_post', $post_id ) ){
		return;
	}
	// store custom fields values
	// magazinepagemeta string
	if ( isset( $_REQUEST['magazinepagemeta'] ) ) {
		update_post_meta( $post_id, '_food_magazinepagemeta', sanitize_text_field( $_POST['magazinepagemeta'] ) );
	}

}
add_action( 'save_post', 'magazinepage_save_meta_box_data' );